# ADD Subsampling

This repository contains the programming code for the Adaptive Data-Driven Subsampling for Efficient Neural Network Inference pipeline. 

The code is split into four folders, where each folder corresponds to a particular use case:


- Spoken keyword recognition (Google Speech Commands dataset)

- Environmental sound classification (ESC-10 dataset)

- EEG classification (Sleep EDF dataset)
- Image classification (MNIST dataset)

To run the code it is first required to download (and extract) the required datasets.

If using this code please cite:

Machidon, A. L., & Pejović, V. (2024). Adaptive data-driven subsampling for efficient neural network inference. Signal, Image and Video Processing, 1-9.